## Development Tool Kit Multimedia

Development Tool Kit (DtkMultimedia) is the base development tool of all C++/Qt Developer work on Deepin.

You should read the <a href=docs/Specification.md>Deepin Application Specification</a> firstly.

## Dependencies

### Build dependencies

* Qt >= 6.8
* libgstreamer1.0-dev
* libgstreamer-plugins-base1.0-dev
* libavcodec-dev
* libavformat-dev
* libavutil-dev
* libmpv-dev

## Installation

### Build from source code

1. Make sure you have installed all dependencies.

2. Build:

```bash
mkdir build
cd build
cmake ..
make
```

3. Install:

```bash
sudo make install
```

## Getting help

Any usage issues can ask for help via

* [Telegram group](https://t.me/deepin)
* [Matrix](https://matrix.to/#/#deepin-community:matrix.org)
* [IRC (libera.chat)](https://web.libera.chat/#deepin-community)
* [Forum](https://bbs.deepin.org)
* [WiKi](https://wiki.deepin.org/)

## Getting involved

We encourage you to report issues and contribute changes

* [Contribution guide for developers](https://github.com/linuxdeepin/developer-center/wiki/Contribution-Guidelines-for-Developers-en).

## License

deepin-tool-kit is licensed under [LGPL-3.0-or-later](LICENSE).
